<?php

namespace Findologic\Search\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer;
use \Magento\Framework\App\ObjectManager;

class FindologicSearchCheckoutObserver implements ObserverInterface
{
    /**
     * Add order information into Tracking script on checkout success pages
     *
     * @param Observer $observer
     */
    public function execute(Observer $observer)
    {
        $orderIds = $observer->getEvent()->getOrderIds();
        if (empty($orderIds) || !is_array($orderIds)) {
            return;
        }
        
        if (!empty($orderIds[0])) {
            $om = ObjectManager::getInstance();
            $tracking = $om->get('\Findologic\Search\Helper\TrackingScripts');
            $tracking->setLastOrderId($orderIds[0]);
        }
    }
}